<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'vaptreporting',

    /*
     * Package.
     */
    'package'   => 'importreport',

    /*
     * Modules.
     */
    'modules'   => ['testtable', 
'info'],

    'testtable'       => [
        'model' => [
            'model'                 => \Vaptreporting\Importreport\Models\Testtable::class,
            'table'                 => 'testtables',
            'presenter'             => \Vaptreporting\Importreport\Repositories\Presenter\TesttablePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'text',  'more_info_id'],
            'translatables'         => [],
            'upload_folder'         => 'importreport/testtable',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Vaptreporting',
            'package'   => 'Importreport',
            'module'    => 'Testtable',
        ],

    ],

    'info'       => [
        'model' => [
            'model'                 => \Vaptreporting\Importreport\Models\Info::class,
            'table'                 => 'infos',
            'presenter'             => \Vaptreporting\Importreport\Repositories\Presenter\InfoPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'info_text'],
            'translatables'         => [],
            'upload_folder'         => 'importreport/info',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Vaptreporting',
            'package'   => 'Importreport',
            'module'    => 'Info',
        ],

    ],
];
