<?php

namespace Vaptreporting\Importreport;

use User;

class Importreport
{
    /**
     * $testtable object.
     */
    protected $testtable;
    /**
     * $info object.
     */
    protected $info;

    /**
     * Constructor.
     */
    public function __construct(\Vaptreporting\Importreport\Interfaces\TesttableRepositoryInterface $testtable,
        \Vaptreporting\Importreport\Interfaces\InfoRepositoryInterface $info)
    {
        $this->testtable = $testtable;
        $this->info = $info;
    }

    /**
     * Returns count of importreport.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.testtable.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->testtable->pushCriteria(new \Litepie\Vaptreporting\Repositories\Criteria\TesttableUserCriteria());
        }

        $testtable = $this->testtable->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('importreport::' . $view, compact('testtable'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.info.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->info->pushCriteria(new \Litepie\Vaptreporting\Repositories\Criteria\InfoUserCriteria());
        }

        $info = $this->info->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('importreport::' . $view, compact('info'))->render();
    }
}
