<?php

namespace Vaptreporting\Importreport\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class InfoTransformer extends TransformerAbstract
{
    public function transform(\Vaptreporting\Importreport\Models\Info $info)
    {
        return [
            'id'                => $info->getRouteKey(),
            'key'               => [
                'public'    => $info->getPublicKey(),
                'route'     => $info->getRouteKey(),
            ], 
            'id'                => $info->id,
            'info_text'         => $info->info_text,
            'url'               => [
                'public'    => trans_url('importreport/'.$info->getPublicKey()),
                'user'      => guard_url('importreport/info/'.$info->getRouteKey()),
            ], 
            'status'            => trans('app.'.$info->status),
            'created_at'        => format_date($info->created_at),
            'updated_at'        => format_date($info->updated_at),
        ];
    }
}