<?php

namespace Vaptreporting\Importreport\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TesttableTransformer extends TransformerAbstract
{
    public function transform(\Vaptreporting\Importreport\Models\Testtable $testtable)
    {
        return [
            'id'                => $testtable->getRouteKey(),
            'key'               => [
                'public'    => $testtable->getPublicKey(),
                'route'     => $testtable->getRouteKey(),
            ], 
            'id'                => $testtable->id,
            'text'              => $testtable->text,
            'more_info_id'      => $testtable->more_info_id,
            'url'               => [
                'public'    => trans_url('importreport/'.$testtable->getPublicKey()),
                'user'      => guard_url('importreport/testtable/'.$testtable->getRouteKey()),
            ], 
            'status'            => trans('app.'.$testtable->status),
            'created_at'        => format_date($testtable->created_at),
            'updated_at'        => format_date($testtable->updated_at),
        ];
    }
}